// File: VarArgsInts.java
//
// Demonstrate simple varargs using ints

public class VarArgsInts {

	VarArgsInts() {
		printParams();
		printParams(1);
        printParams(1, 2, 3);
        printParams(10, 20, 30, 40);
        printParams(100, 200, 300, 400, 500);
        System.out.println();
	}

    public static void main(String[] args) {
        new VarArgsInts();
    }

    void printParams(int... numbers) {
	    System.out.print("Length: " + numbers.length + "   Contents: ");
		for (int num : numbers)
            System.out.print(num + ", ");
        System.out.println();
    }

}

/* ========== Output ==========

Length: 0   Contents: 
Length: 1   Contents: 1, 
Length: 3   Contents: 1, 2, 3, 
Length: 4   Contents: 10, 20, 30, 40, 
Length: 5   Contents: 100, 200, 300, 400, 500, 

=============================== */
